<?php

/**
 * Subclass for performing query and update operations on the 'tbluserpresentation' table.
 *
 * 
 *
 * @package lib.model
 */ 
class TbluserpresentationPeer extends BaseTbluserpresentationPeer
{
  public static function doSelect(Criteria $criteria, PropelPDO $con = null)
  {
    if ($criteria->getOffset() > 900 && @$_SERVER['HTTP_REFERER'] == null) {
      //$link = $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
      //throw new Exception('Direct access denied: '.$link);
      return null;
    }
    return BaseTbluserpresentationPeer::doSelect($criteria, $con);
  }
}
